ZIP_SOURCE_IS_SEEKABLE(3) | Library Functions Manual | ZIP_SOURCE_IS_SEEKABLE(3)

# NAME

`zip_source_is_seekable` — check if a source supports seeking

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

int
`zip_source_is_seekable`(zip_source_t *source);

# DESCRIPTION

The function `zip_source_is_seekable`() checks if source supports seeking via zip_source_seek(3).

# RETURN VALUES

If the source supports seeking, 1 is returned. Otherwise, 0 is returned.

# SEE ALSO

libzip(3), zip_source(5), zip_source_seek(3)

# HISTORY

`zip_source_is_seekable`() was added in libzip 1.10.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

March 10, 2023 | NiH